You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-04-26 15:46:39

nick85
Guest
Registered: 2010-02-26
Posts: 13

[MAJ] GLPI 0.84.7 vers 9.2.2

Bonjour à toutes et à tous

ça fait un bail que je n'ai pas mis a jour mon GLPI, du coup je me suis mis a installer un nouveau serveur virtuel sous debian 9 avec un tout nouveau GLPI 9.2.2, ça c'est bon wink

J'ai mon ancien GLPI, v 0.84.7 soit 8.4.7

Ma question est simple, est-il possible de restaurer ma base de données actuelle dans la dernière version de GLPI ?

Merci d'avance

Nico

Offline

#2 2018-04-26 16:06:07

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,088

Re: [MAJ] GLPI 0.84.7 vers 9.2.2

si vous avez installé le 9.2.2 vous avez certainement effacé le install.php.

vous ne pouvez pas restaurer une ancienne base sur un autre installation mais :
si vous décompressez une archive 9.2.2, que vous restaurez votre BDD0.84  et que vous lancez l'install glpi va vous mettre la bdd au format 9.2.2 et vous pourrez travailler avec.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3  en test (ubuntu 16.04 mariadb 10.2.4) (attente 9.3.1 et plugin compatible avant mise en prod)

Online

#3 2018-04-26 16:30:24

nick85
Guest
Registered: 2010-02-26
Posts: 13

Re: [MAJ] GLPI 0.84.7 vers 9.2.2

J'ai installé la 9.2.2 sous un nouveau serveur Debian

Du coup je suis en effet parti d'une nouvelle installation mais n'ai pas supprimé le install.php

j'ai fais une sauvegarde de mon ancienne base au format sql : glpi-0.84.7-2018-04-26-15-21.sql.gz

j'ai essayé de la restaurer directement dans la 9.2.2 mais il me dis que :
Votre version de la base de données n'est pas compatible avec la version des fichiers installés. Une mise à jour est nécessaire.

Du coup je clique mise a jour mais il me sort l'erreur suivante :

GLPI SETUP

Mise à jour
Connexion à la base de données réussie
Mise à jour en 0.85.3
Traitement terminé. (0 seconde)

Mise à jour en 0.85.5
Traitement terminé. (0 seconde)

Mise à jour en 0.90
Traitement terminé. (0 seconde)

Mise à jour en 0.90.1
Traitement terminé. (0 seconde)

Mise à jour en 0.90.5
Traitement terminé. (0 seconde)

Mise à jour en 9.1
Changement de la structure de la base de données - glpi_tickets (3 secondes)

9.1 multiple alter in glpi_tickets - Erreur durant l'éxecution de la requête : ALTER TABLE `glpi_tickets` ADD `slts_tto_id` INT(11) NOT NULL DEFAULT '0' AFTER `slts_ttr_id` , ADD INDEX `slts_tto_id` (`slts_tto_id`) - L'erreur est Unknown column 'slts_ttr_id' in 'glpi_tickets'

Offline

#4 2018-04-26 16:45:22

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,088

Re: [MAJ] GLPI 0.84.7 vers 9.2.2

vous avez utilisé la sauvegarde interne glpi ou mysqldump pour la sauvegarde ?

lors de la restauration de la base vous devez d'abord  supprimer toutes les tables qui existent déjà, de même lorsque vous allez retenter la migration.

cependant il y a  une erreur dans le script de migration,
vous devez modifier un fichier de migration :

http://forum.glpi-project.org/viewtopic.php?id=155990


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3  en test (ubuntu 16.04 mariadb 10.2.4) (attente 9.3.1 et plugin compatible avant mise en prod)

Online

#5 2018-04-26 16:49:33

nick85
Guest
Registered: 2010-02-26
Posts: 13

Re: [MAJ] GLPI 0.84.7 vers 9.2.2

j'ai utilisé la sauvegarde interne GLPI n'ayant pas de connaissances mysql (sauf si on me guide)

Si je relance l'installation de GLPI 9.2.2 (si il y a un moyen de le faire) est-ce que je pourrai lui dire d'aller chercher mon ancienne base effectuée via ma sauvegarde interne GLPI ? (j'ai toujours accès à mon ancien serveur qui est toujours en prod)

Offline

#6 2018-04-26 16:57:19

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 4,088

Re: [MAJ] GLPI 0.84.7 vers 9.2.2

1) vous devez modifier le fichier comme indiqué dans le lien que je vous ai transmis
2)vous devez vider la base de données sur votre 9.2.2 (migration ratée)
3)vous devez restaurer la sauvegarde
4) relancer les scipts de migration ( connectez vous à votre glpi)
5) vous devrez copier vos documents de glpi/files/ de votre ancien serveur vers le nouveau


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.2.4(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0+dashboard 0.8.9)hebergé sur serveur mutualisé.
*GLPI 9.3  en test (ubuntu 16.04 mariadb 10.2.4) (attente 9.3.1 et plugin compatible avant mise en prod)

Online

#7 2018-04-26 17:11:07

nick85
Guest
Registered: 2010-02-26
Posts: 13

Re: [MAJ] GLPI 0.84.7 vers 9.2.2

merci à vous je teste tout ça et revient vers vous

Offline

Board footer

Powered by FluxBB